curl -G https://api.chargeapi.co/v1/charging_sessions \
-H "Authorization: Bearer ch_sk_test_..." \
-d driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth \
-d limit=10
{
"data": [
{
"id": "cs_AL1gQKYwRle76eKq2ecf3AR88uVOoAj4",
"object": "charging_session",
"amount_due": 1842,
"amount_paid": 0,
"charging_station": "chst_l3AWdoy5rP8bBPVJODn8TPpdxQTAsYAK",
"connector": "connector_a1",
"country": "FR",
"created": "2026-04-01T01:18:22.807Z",
"currency": "eur",
"driver": "drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth",
"energy_consumed": 12480,
"fleet": "flt_OA3cCKUR7yRYIp0WX0pVUZ4Uw6OoBWJk",
"payment_method": "pm_siAYwdA3MAc9Hs0oMtgWhDXSbA3xfqiU",
"session_ended": null,
"session_limit": null,
"session_started": "2026-04-01T01:24:13.285Z",
"status": "active",
"updated": "2026-04-01T01:53:58.446Z",
"vehicle": "veh_CAfwCp0gh3fVUUqhbaPupXynUVgbdQxr"
}
],
"next_page_url": "https://api.chargeapi.co/v1/charging_sessions?page=page_vTAqG8c9R32ps8le7rxCVudUeguIaNstI0LBO09jrOg&driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth&limit=10",
"previous_page_url": null
}
Charging Sessions
List Charging Sessions
curl -G https://api.chargeapi.co/v1/charging_sessions \
-H "Authorization: Bearer ch_sk_test_..." \
-d driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth \
-d limit=10
{
"data": [
{
"id": "cs_AL1gQKYwRle76eKq2ecf3AR88uVOoAj4",
"object": "charging_session",
"amount_due": 1842,
"amount_paid": 0,
"charging_station": "chst_l3AWdoy5rP8bBPVJODn8TPpdxQTAsYAK",
"connector": "connector_a1",
"country": "FR",
"created": "2026-04-01T01:18:22.807Z",
"currency": "eur",
"driver": "drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth",
"energy_consumed": 12480,
"fleet": "flt_OA3cCKUR7yRYIp0WX0pVUZ4Uw6OoBWJk",
"payment_method": "pm_siAYwdA3MAc9Hs0oMtgWhDXSbA3xfqiU",
"session_ended": null,
"session_limit": null,
"session_started": "2026-04-01T01:24:13.285Z",
"status": "active",
"updated": "2026-04-01T01:53:58.446Z",
"vehicle": "veh_CAfwCp0gh3fVUUqhbaPupXynUVgbdQxr"
}
],
"next_page_url": "https://api.chargeapi.co/v1/charging_sessions?page=page_vTAqG8c9R32ps8le7rxCVudUeguIaNstI0LBO09jrOg&driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth&limit=10",
"previous_page_url": null
}
Returns a paginated list of charging session objects. Use
driver, fleet, or vehicle to scope results, then follow the returned page URLs to continue through the result set.
curl -G https://api.chargeapi.co/v1/charging_sessions \
-H "Authorization: Bearer ch_sk_test_..." \
-d driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth \
-d limit=10
{
"data": [
{
"id": "cs_AL1gQKYwRle76eKq2ecf3AR88uVOoAj4",
"object": "charging_session",
"amount_due": 1842,
"amount_paid": 0,
"charging_station": "chst_l3AWdoy5rP8bBPVJODn8TPpdxQTAsYAK",
"connector": "connector_a1",
"country": "FR",
"created": "2026-04-01T01:18:22.807Z",
"currency": "eur",
"driver": "drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth",
"energy_consumed": 12480,
"fleet": "flt_OA3cCKUR7yRYIp0WX0pVUZ4Uw6OoBWJk",
"payment_method": "pm_siAYwdA3MAc9Hs0oMtgWhDXSbA3xfqiU",
"session_ended": null,
"session_limit": null,
"session_started": "2026-04-01T01:24:13.285Z",
"status": "active",
"updated": "2026-04-01T01:53:58.446Z",
"vehicle": "veh_CAfwCp0gh3fVUUqhbaPupXynUVgbdQxr"
}
],
"next_page_url": "https://api.chargeapi.co/v1/charging_sessions?page=page_vTAqG8c9R32ps8le7rxCVudUeguIaNstI0LBO09jrOg&driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth&limit=10",
"previous_page_url": null
}
Parameters
string
Limit results to charging sessions for this driver.
string
Limit results to charging sessions for this fleet.
integer
Maximum number of objects to return (default 10).
string
Page token from a previous list response.
string
Filter charging sessions by status.Available options:
active, completed, cancelled, failedstring
Limit results to charging sessions for this vehicle.
More parameters
string | object
Range filter on the
created time. RFC 3339 UTC timestamp with millisecond precision, e.g. 2026-03-03T14:05:23.789Z.Show properties
Show properties
string
Minimum
created time (exclusive). RFC 3339 UTC timestamp with millisecond precision, e.g. 2026-03-03T14:05:23.789Z.string
Minimum
created time (inclusive). RFC 3339 UTC timestamp with millisecond precision, e.g. 2026-03-03T14:05:23.789Z.string
Maximum
created time (exclusive). RFC 3339 UTC timestamp with millisecond precision, e.g. 2026-03-03T14:05:23.789Z.string
Maximum
created time (inclusive). RFC 3339 UTC timestamp with millisecond precision, e.g. 2026-03-03T14:05:23.789Z.Returns
Returns a page of charging sessions.array of object
required
Array of charging session objects.
string | null
required
URL for the next page of results, or
null when there is no next page.string | null
required
URL for the previous page of results, or
null when there is no previous page.
